uuid: bd2016b6-f2e9-4c58-96bd-a2ced6b83459
langcode: en
status: false
dependencies:
  config:
    - taxonomy.vocabulary.cooker_collection
  module:
    - commerce_product
    - slick_views
    - views_autocomplete_filters
id: choose_your_model
label: 'Choose your model'
module: views
description: ''
tag: ''
base_table: commerce_product_variation_field_data
base_field: variation_id
display:
  default:
    display_plugin: default
    id: default
    display_title: Master
    position: 0
    display_options:
      access:
        type: none
        options: {  }
      cache:
        type: tag
        options: {  }
      query:
        type: views_query
        options:
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_comment: ''
          query_tags: {  }
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      pager:
        type: none
        options:
          offset: 0
      style:
        type: slick
        options:
          vanilla: false
          optionset: custom
          skin: split
          layout: ''
          caption:
            field_variation_image: '0'
            title: '0'
          optionset_thumbnail: ''
          skin_thumbnail: ''
          thumbnail_caption: ''
          grid_header: ''
          grid: null
          grid_medium: 1
          grid_small: 1
          visible_items: null
          preserve_keys: false
          image: field_variation_image
          thumbnail: ''
          overlay: ''
          title: title
          link: ''
          class: ''
          id: variables-slick
          override: false
          overridables:
            arrows: '0'
            autoplay: '0'
            dots: '0'
            draggable: '0'
            infinite: '0'
            mouseWheel: '0'
            randomize: '0'
            variableWidth: '0'
          cache: 0
          current_view_mode: block_1
      row:
        type: fields
        options:
          default_field_elements: true
          inline: {  }
          separator: ''
          hide_empty: false
      fields:
        title:
          id: title
          table: commerce_product_variation_field_data
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: h3
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: true
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          entity_type: null
          entity_field: title
          plugin_id: field
      filters:
        status:
          id: status
          table: commerce_product_field_data
          field: status
          relationship: product_id
          group_type: group
          admin_label: ''
          operator: '='
          value: '1'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            operator_limit_selection: false
            operator_list: {  }
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          entity_type: commerce_product
          entity_field: status
          plugin_id: boolean
        langcode:
          id: langcode
          table: commerce_product_variation_field_data
          field: langcode
          relationship: none
          group_type: group
          admin_label: ''
          operator: in
          value:
            '***LANGUAGE_language_content***': '***LANGUAGE_language_content***'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
            operator_limit_selection: false
            operator_list: {  }
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          entity_type: commerce_product_variation
          entity_field: langcode
          plugin_id: language
        title:
          id: title
          table: commerce_product_variation_field_data
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          operator: 'not empty'
          value: ''
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            placeholder: ''
            operator_limit_selection: false
            operator_list: {  }
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          entity_type: commerce_product_variation
          entity_field: title
          plugin_id: string
      sorts: {  }
      title: ''
      header:
        area:
          id: area
          table: views
          field: area
          relationship: none
          group_type: group
          admin_label: Title
          empty: false
          tokenize: false
          content:
            value: "<h2>Choose your model</h2>\r\n"
            format: raw_html
          plugin_id: text
      footer: {  }
      empty: {  }
      relationships:
        product_id:
          id: product_id
          table: commerce_product_variation_field_data
          field: product_id
          relationship: none
          group_type: group
          admin_label: Product
          required: true
          entity_type: commerce_product_variation
          entity_field: product_id
          plugin_id: standard
      arguments:
        field_range_cooker_collection_target_id:
          id: field_range_cooker_collection_target_id
          table: commerce_product__field_range_cooker_collection
          field: field_range_cooker_collection_target_id
          relationship: product_id
          group_type: group
          admin_label: ''
          default_action: default
          exception:
            value: all
            title_enable: true
            title: ''
          title_enable: false
          title: ''
          default_argument_type: taxonomy_tid
          default_argument_options:
            term_page: '1'
            anyall: ','
            node: false
            limit: false
            vids: {  }
          default_argument_skip_url: false
          summary_options:
            base_path: ''
            count: true
            items_per_page: 25
            override: false
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: true
          validate:
            type: 'entity:taxonomy_term'
            fail: 'not found'
          validate_options:
            bundles:
              cooker_collection: cooker_collection
            operation: view
            multiple: 0
            access: false
          break_phrase: false
          not: false
          plugin_id: numeric
      display_extenders: {  }
      css_class: products-on-collection
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
      tags: {  }
  block_1:
    display_plugin: block
    id: block_1
    display_title: Block
    position: 1
    display_options:
      display_extenders: {  }
      block_description: 'Products on collection'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
      tags: {  }
